<?php
/*
Plugin Name: Taxes
Plugin Author: Andy Skelton
Author URI: http://skeltoac.com/
*/

add_action('init', 'taxes_init');
add_action('activate_' . plugin_basename(__FILE__), 'taxes_activate');

function taxes_activate() {
	taxes_init();
	$GLOBALS['wp_rewrite']->flush_rules();
}

function taxes_init() {
	// replace the post_tag taxonomy with one that includes attachments.
	register_taxonomy(
		'post_tag',
		array('post', 'attachment'),
		array(
			'label' => __('Tags'),
			'template' => __('Tags: %2$l.'),
			'helps' => __('Separate tags with commas.'),
			'args' => array(),
			'rewrite' => array('slug' => 'tag'),
			'query_var' => 'tag',
		)
	);

	// create a new taxonomy
	register_taxonomy(
		'people',
		array('attachment:image', 'attachment:video', 'attachment:audio', 'post', 'page'),
		array(
			'label' => __('People'),
			'template' => __('People: %2$l.'),
			'helps' => __('Separate people with commas.'),
			'sort' => true,
			'args' => array('orderby' => 'term_order'),
			'rewrite' => array('slug' => 'people'),
			'query_var' => 'people',
		)
	);
}

?>